package controller

import (
	"jaecoo-be/app/module/clients/service"

	"github.com/rs/zerolog"
)

type Controller struct {
	Clients ClientsController
}

func NewController(ClientsService service.ClientsService, log zerolog.Logger) *Controller {
	return &Controller{
		Clients: NewClientsController(ClientsService, log),
	}
}
